Bug 1975700 - start_server (or Server::Starter) should depend on Net::Server::SS::PreFork
Summary: start_server (or Server::Starter) should depend on Net::Server::SS::PreFork
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Server-Starter
Version: 36
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-24 08:45 UTC by Jan "Yenya" Kasprzak
Modified: 2022-05-13 09:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Jan "Yenya" Kasprzak 2021-06-24 08:45:23 UTC
Description of problem:
The start_server script uses Net::Server::SS::PreFork personality of Net::Server, so it should explicitly depend on it.

Version-Release number of selected component (if applicable):
perl-Server-Starter-0.35-5.fc34.noarch
perl-Server-Starter-start_server-0.35-5.fc34.noarch

How reproducible:

Steps to Reproduce:
1. yum -y install perl-Server-Starter-start_server perl-Starman
2. cat > app.psgi <<'EOF'
#!/usr/bin/perl

use strict;

my $app = sub {
    my $env = shift;
    return [
        '200',
        [ 'Content-Type' => 'text/plain' ],
        [ "Hello World\n" ], # or IO::Handle-like object
    ];
};

EOF
3. start_server --port 0.0.0.0:5000 -- starman --workers 4 app.psgi

Actual results:
start_server (pid:5091) starting now...
starting new worker 5092
Can't locate Net/Server/SS/PreFork.pm in @INC (you may need to install the Net::Server::SS::PreFork module) (@INC contains: /usr/local/lib64/perl5/5.32 /usr/local/share/perl5/5.32 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/share/perl5/vendor_perl/Plack/Handler/Starman.pm line 14.
new worker 5092 seems to have failed to start, exit status:512

Expected results:
starman should be up and running

Additional info:
The dependency on Net::Server::SS::PreFork is described here:
https://metacpan.org/pod/Server::Starter

Comment 1 Ben Cotton 2022-05-12 16:25:13 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Jan "Yenya" Kasprzak 2022-05-13 09:13:13 UTC
Still present in F36:

perl-Server-Starter-start_server-0.35-8.fc36.noarch


Note You need to log in before you can comment on or make changes to this bug.